haskell-hopenpgp-tools (0.23.6-1) unstable; urgency=medium

  * New upstream version.
    - hokey lint: do not complain about ECDH keys of >= 256 bits.
      closes: #979028.

 -- Clint Adams <clint@debian.org>  Sat, 02 Jan 2021 19:50:55 -0500

haskell-hopenpgp-tools (0.23.5-1) unstable; urgency=medium

  * New upstream version.
    - hokey lint: warn about some cryptographic weaknesses
      related to subkeys.  closes: #812944.
    - hokey lint: check both hashed and unhashed signature
      subpackets for embedded cross-signatures.  closes: #978990.
    - hokey lint: do not complain about EdDSA keys of 256-bit size.
      closes: #978991.

 -- Clint Adams <clint@debian.org>  Fri, 01 Jan 2021 18:03:39 -0500

haskell-hopenpgp-tools (0.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 18:16:15 -0400

haskell-hopenpgp-tools (0.22-2) unstable; urgency=medium

  * Add autopkgtest smoke test.

 -- Clint Adams <clint@debian.org>  Sat, 07 Dec 2019 23:15:36 -0500

haskell-hopenpgp-tools (0.22-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 02 Dec 2019 19:48:14 -0500

haskell-hopenpgp-tools (0.21.3-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 19 Jan 2019 09:51:38 -0500

haskell-hopenpgp-tools (0.21.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:33 +0300

haskell-hopenpgp-tools (0.21.2-1) unstable; urgency=medium

  * New upstream version.
    - hkt no longer defaults to anything if --keyring is omitted.
      closes: #868769.

 -- Clint Adams <clint@debian.org>  Sun, 29 Jul 2018 18:18:43 +0800

haskell-hopenpgp-tools (0.21.1-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 14 Jul 2018 16:28:17 -0400

haskell-hopenpgp-tools (0.20.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:52 -0400

haskell-hopenpgp-tools (0.20-1) unstable; urgency=medium

  * New upstream version.
    - Consider a subkey with the same fingerprint as the primary
      key to be an error.  Maybe closes: #888841.

 -- Clint Adams <clint@debian.org>  Tue, 30 Jan 2018 18:21:06 -0500

haskell-hopenpgp-tools (0.19.5-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 05 Nov 2017 13:08:26 +0200

haskell-hopenpgp-tools (0.19.4-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:11 -0400

haskell-hopenpgp-tools (0.19.4-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 19:54:57 -0400

haskell-hopenpgp-tools (0.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 21 Sep 2016 09:13:27 -0400

haskell-hopenpgp-tools (0.19.2-2) unstable; urgency=medium

  * Generate man pages, thanks to Roger Shimizu.  closes: #762023.

 -- Clint Adams <clint@debian.org>  Thu, 11 Aug 2016 23:19:23 -0400

haskell-hopenpgp-tools (0.19.2-1) unstable; urgency=medium

  * New upstream version.
    - Fixes subcommand help output (maybe closes: #833752).

 -- Clint Adams <clint@debian.org>  Thu, 11 Aug 2016 13:34:58 -0400

haskell-hopenpgp-tools (0.19.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 27 Jun 2016 10:29:40 +0200

haskell-hopenpgp-tools (0.19-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 11 Jun 2016 11:09:30 -0400

haskell-hopenpgp-tools (0.18-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 17 Apr 2016 01:09:48 -0400

haskell-hopenpgp-tools (0.17-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 25 Jan 2016 17:16:11 -0500

haskell-hopenpgp-tools (0.16.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:34 -0500

haskell-hopenpgp-tools (0.16.3-3) experimental; urgency=medium

  * Added lintian override for rpath.

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Thu, 01 Oct 2015 21:40:02 +0200

haskell-hopenpgp-tools (0.16.3-2) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:50 +0200

haskell-hopenpgp-tools (0.16.3-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 22 Aug 2015 11:35:15 +0200

haskell-hopenpgp-tools (0.16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 15 Aug 2015 16:24:41 +0200

haskell-hopenpgp-tools (0.16.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 15 Aug 2015 11:14:08 +0200

haskell-hopenpgp-tools (0.15-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 10 Aug 2015 18:41:29 +0200

haskell-hopenpgp-tools (0.14.1-1) unstable; urgency=medium

  * New upstream version.
    - Fixes FTBFS; closes: #787643.

 -- Clint Adams <clint@debian.org>  Wed, 03 Jun 2015 17:33:34 -0400

haskell-hopenpgp-tools (0.13-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:51 +0100

haskell-hopenpgp-tools (0.13-1) unstable; urgency=medium

  * New upstream version.
    - hokey lint now shows revoked UIDs/UAts as revoked.
      closes: #764741.

 -- Clint Adams <clint@debian.org>  Fri, 10 Oct 2014 23:10:20 -0400

haskell-hopenpgp-tools (0.12-1) unstable; urgency=medium

  * New upstream version.
    - Build-depends on a new enough version of hOpenPGP to handle
      non-standard S2K types.  closes: #764618.

 -- Clint Adams <clint@debian.org>  Thu, 09 Oct 2014 15:03:59 -0400

haskell-hopenpgp-tools (0.11-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 24 Sep 2014 13:50:20 -0400

haskell-hopenpgp-tools (0.10-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 18 Sep 2014 21:46:55 -0400

haskell-hopenpgp-tools (0.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 09 Sep 2014 21:51:59 -0400

haskell-hopenpgp-tools (0.9-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 02 Sep 2014 21:12:54 -0700

haskell-hopenpgp-tools (0.8.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 06 Aug 2014 08:24:21 -0400

haskell-hopenpgp-tools (0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 03 Aug 2014 20:00:57 -0400

haskell-hopenpgp-tools (0.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 14 Jul 2014 11:45:21 -0400

haskell-hopenpgp-tools (0.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 22 Jun 2014 12:51:27 -0500

haskell-hopenpgp-tools (0.7-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 23 Feb 2014 18:06:37 -0500

haskell-hopenpgp-tools (0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 13 Feb 2014 22:13:05 -0500

haskell-hopenpgp-tools (0.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 13 Feb 2014 19:34:53 -0500

haskell-hopenpgp-tools (0.4-1) unstable; urgency=high

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 22 Jan 2014 11:18:37 -0500

haskell-hopenpgp-tools (0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 19 Jan 2014 14:39:29 -0500

haskell-hopenpgp-tools (0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 13 Jan 2014 22:17:14 -0500

haskell-hopenpgp-tools (0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 04 Jan 2014 16:05:05 -0500

haskell-hopenpgp-tools (0.0.4-1) unstable; urgency=high

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 03 Jan 2014 21:31:43 -0500

haskell-hopenpgp-tools (0.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 02 Jan 2014 09:11:54 -0500

haskell-hopenpgp-tools (0.0.2-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 03 Dec 2013 20:48:55 -0500

haskell-hopenpgp-tools (0.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 25 Aug 2013 14:27:11 -0700
